<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

class Google_Service_PagespeedInsights_RendererFormattedStrings extends Google_Model
{
  public $auditGroupExpandTooltip;
  public $calculatorLink;
  public $crcInitialNavigation;
  public $crcLongestDurationLabel;
  public $dropdownCopyJSON;
  public $dropdownDarkTheme;
  public $dropdownPrintExpanded;
  public $dropdownPrintSummary;
  public $dropdownSaveGist;
  public $dropdownSaveHTML;
  public $dropdownSaveJSON;
  public $dropdownViewer;
  public $errorLabel;
  public $errorMissingAuditInfo;
  public $footerIssue;
  public $labDataTitle;
  public $lsPerformanceCategoryDescription;
  public $manualAuditsGroupTitle;
  public $notApplicableAuditsGroupTitle;
  public $opportunityResourceColumnLabel;
  public $opportunitySavingsColumnLabel;
  public $passedAuditsGroupTitle;
  public $runtimeDesktopEmulation;
  public $runtimeMobileEmulation;
  public $runtimeNoEmulation;
  public $runtimeSettingsAxeVersion;
  public $runtimeSettingsBenchmark;
  public $runtimeSettingsCPUThrottling;
  public $runtimeSettingsChannel;
  public $runtimeSettingsDevice;
  public $runtimeSettingsFetchTime;
  public $runtimeSettingsNetworkThrottling;
  public $runtimeSettingsTitle;
  public $runtimeSettingsUA;
  public $runtimeSettingsUANetwork;
  public $runtimeSettingsUrl;
  public $runtimeUnknown;
  public $scorescaleLabel;
  public $showRelevantAudits;
  public $snippetCollapseButtonLabel;
  public $snippetExpandButtonLabel;
  public $thirdPartyResourcesLabel;
  public $throttlingProvided;
  public $toplevelWarningsMessage;
  public $varianceDisclaimer;
  public $viewTreemapLabel;
  public $warningAuditsGroupTitle;
  public $warningHeader;

  public function setAuditGroupExpandTooltip($auditGroupExpandTooltip)
  {
    $this->auditGroupExpandTooltip = $auditGroupExpandTooltip;
  }
  public function getAuditGroupExpandTooltip()
  {
    return $this->auditGroupExpandTooltip;
  }
  public function setCalculatorLink($calculatorLink)
  {
    $this->calculatorLink = $calculatorLink;
  }
  public function getCalculatorLink()
  {
    return $this->calculatorLink;
  }
  public function setCrcInitialNavigation($crcInitialNavigation)
  {
    $this->crcInitialNavigation = $crcInitialNavigation;
  }
  public function getCrcInitialNavigation()
  {
    return $this->crcInitialNavigation;
  }
  public function setCrcLongestDurationLabel($crcLongestDurationLabel)
  {
    $this->crcLongestDurationLabel = $crcLongestDurationLabel;
  }
  public function getCrcLongestDurationLabel()
  {
    return $this->crcLongestDurationLabel;
  }
  public function setDropdownCopyJSON($dropdownCopyJSON)
  {
    $this->dropdownCopyJSON = $dropdownCopyJSON;
  }
  public function getDropdownCopyJSON()
  {
    return $this->dropdownCopyJSON;
  }
  public function setDropdownDarkTheme($dropdownDarkTheme)
  {
    $this->dropdownDarkTheme = $dropdownDarkTheme;
  }
  public function getDropdownDarkTheme()
  {
    return $this->dropdownDarkTheme;
  }
  public function setDropdownPrintExpanded($dropdownPrintExpanded)
  {
    $this->dropdownPrintExpanded = $dropdownPrintExpanded;
  }
  public function getDropdownPrintExpanded()
  {
    return $this->dropdownPrintExpanded;
  }
  public function setDropdownPrintSummary($dropdownPrintSummary)
  {
    $this->dropdownPrintSummary = $dropdownPrintSummary;
  }
  public function getDropdownPrintSummary()
  {
    return $this->dropdownPrintSummary;
  }
  public function setDropdownSaveGist($dropdownSaveGist)
  {
    $this->dropdownSaveGist = $dropdownSaveGist;
  }
  public function getDropdownSaveGist()
  {
    return $this->dropdownSaveGist;
  }
  public function setDropdownSaveHTML($dropdownSaveHTML)
  {
    $this->dropdownSaveHTML = $dropdownSaveHTML;
  }
  public function getDropdownSaveHTML()
  {
    return $this->dropdownSaveHTML;
  }
  public function setDropdownSaveJSON($dropdownSaveJSON)
  {
    $this->dropdownSaveJSON = $dropdownSaveJSON;
  }
  public function getDropdownSaveJSON()
  {
    return $this->dropdownSaveJSON;
  }
  public function setDropdownViewer($dropdownViewer)
  {
    $this->dropdownViewer = $dropdownViewer;
  }
  public function getDropdownViewer()
  {
    return $this->dropdownViewer;
  }
  public function setErrorLabel($errorLabel)
  {
    $this->errorLabel = $errorLabel;
  }
  public function getErrorLabel()
  {
    return $this->errorLabel;
  }
  public function setErrorMissingAuditInfo($errorMissingAuditInfo)
  {
    $this->errorMissingAuditInfo = $errorMissingAuditInfo;
  }
  public function getErrorMissingAuditInfo()
  {
    return $this->errorMissingAuditInfo;
  }
  public function setFooterIssue($footerIssue)
  {
    $this->footerIssue = $footerIssue;
  }
  public function getFooterIssue()
  {
    return $this->footerIssue;
  }
  public function setLabDataTitle($labDataTitle)
  {
    $this->labDataTitle = $labDataTitle;
  }
  public function getLabDataTitle()
  {
    return $this->labDataTitle;
  }
  public function setLsPerformanceCategoryDescription($lsPerformanceCategoryDescription)
  {
    $this->lsPerformanceCategoryDescription = $lsPerformanceCategoryDescription;
  }
  public function getLsPerformanceCategoryDescription()
  {
    return $this->lsPerformanceCategoryDescription;
  }
  public function setManualAuditsGroupTitle($manualAuditsGroupTitle)
  {
    $this->manualAuditsGroupTitle = $manualAuditsGroupTitle;
  }
  public function getManualAuditsGroupTitle()
  {
    return $this->manualAuditsGroupTitle;
  }
  public function setNotApplicableAuditsGroupTitle($notApplicableAuditsGroupTitle)
  {
    $this->notApplicableAuditsGroupTitle = $notApplicableAuditsGroupTitle;
  }
  public function getNotApplicableAuditsGroupTitle()
  {
    return $this->notApplicableAuditsGroupTitle;
  }
  public function setOpportunityResourceColumnLabel($opportunityResourceColumnLabel)
  {
    $this->opportunityResourceColumnLabel = $opportunityResourceColumnLabel;
  }
  public function getOpportunityResourceColumnLabel()
  {
    return $this->opportunityResourceColumnLabel;
  }
  public function setOpportunitySavingsColumnLabel($opportunitySavingsColumnLabel)
  {
    $this->opportunitySavingsColumnLabel = $opportunitySavingsColumnLabel;
  }
  public function getOpportunitySavingsColumnLabel()
  {
    return $this->opportunitySavingsColumnLabel;
  }
  public function setPassedAuditsGroupTitle($passedAuditsGroupTitle)
  {
    $this->passedAuditsGroupTitle = $passedAuditsGroupTitle;
  }
  public function getPassedAuditsGroupTitle()
  {
    return $this->passedAuditsGroupTitle;
  }
  public function setRuntimeDesktopEmulation($runtimeDesktopEmulation)
  {
    $this->runtimeDesktopEmulation = $runtimeDesktopEmulation;
  }
  public function getRuntimeDesktopEmulation()
  {
    return $this->runtimeDesktopEmulation;
  }
  public function setRuntimeMobileEmulation($runtimeMobileEmulation)
  {
    $this->runtimeMobileEmulation = $runtimeMobileEmulation;
  }
  public function getRuntimeMobileEmulation()
  {
    return $this->runtimeMobileEmulation;
  }
  public function setRuntimeNoEmulation($runtimeNoEmulation)
  {
    $this->runtimeNoEmulation = $runtimeNoEmulation;
  }
  public function getRuntimeNoEmulation()
  {
    return $this->runtimeNoEmulation;
  }
  public function setRuntimeSettingsAxeVersion($runtimeSettingsAxeVersion)
  {
    $this->runtimeSettingsAxeVersion = $runtimeSettingsAxeVersion;
  }
  public function getRuntimeSettingsAxeVersion()
  {
    return $this->runtimeSettingsAxeVersion;
  }
  public function setRuntimeSettingsBenchmark($runtimeSettingsBenchmark)
  {
    $this->runtimeSettingsBenchmark = $runtimeSettingsBenchmark;
  }
  public function getRuntimeSettingsBenchmark()
  {
    return $this->runtimeSettingsBenchmark;
  }
  public function setRuntimeSettingsCPUThrottling($runtimeSettingsCPUThrottling)
  {
    $this->runtimeSettingsCPUThrottling = $runtimeSettingsCPUThrottling;
  }
  public function getRuntimeSettingsCPUThrottling()
  {
    return $this->runtimeSettingsCPUThrottling;
  }
  public function setRuntimeSettingsChannel($runtimeSettingsChannel)
  {
    $this->runtimeSettingsChannel = $runtimeSettingsChannel;
  }
  public function getRuntimeSettingsChannel()
  {
    return $this->runtimeSettingsChannel;
  }
  public function setRuntimeSettingsDevice($runtimeSettingsDevice)
  {
    $this->runtimeSettingsDevice = $runtimeSettingsDevice;
  }
  public function getRuntimeSettingsDevice()
  {
    return $this->runtimeSettingsDevice;
  }
  public function setRuntimeSettingsFetchTime($runtimeSettingsFetchTime)
  {
    $this->runtimeSettingsFetchTime = $runtimeSettingsFetchTime;
  }
  public function getRuntimeSettingsFetchTime()
  {
    return $this->runtimeSettingsFetchTime;
  }
  public function setRuntimeSettingsNetworkThrottling($runtimeSettingsNetworkThrottling)
  {
    $this->runtimeSettingsNetworkThrottling = $runtimeSettingsNetworkThrottling;
  }
  public function getRuntimeSettingsNetworkThrottling()
  {
    return $this->runtimeSettingsNetworkThrottling;
  }
  public function setRuntimeSettingsTitle($runtimeSettingsTitle)
  {
    $this->runtimeSettingsTitle = $runtimeSettingsTitle;
  }
  public function getRuntimeSettingsTitle()
  {
    return $this->runtimeSettingsTitle;
  }
  public function setRuntimeSettingsUA($runtimeSettingsUA)
  {
    $this->runtimeSettingsUA = $runtimeSettingsUA;
  }
  public function getRuntimeSettingsUA()
  {
    return $this->runtimeSettingsUA;
  }
  public function setRuntimeSettingsUANetwork($runtimeSettingsUANetwork)
  {
    $this->runtimeSettingsUANetwork = $runtimeSettingsUANetwork;
  }
  public function getRuntimeSettingsUANetwork()
  {
    return $this->runtimeSettingsUANetwork;
  }
  public function setRuntimeSettingsUrl($runtimeSettingsUrl)
  {
    $this->runtimeSettingsUrl = $runtimeSettingsUrl;
  }
  public function getRuntimeSettingsUrl()
  {
    return $this->runtimeSettingsUrl;
  }
  public function setRuntimeUnknown($runtimeUnknown)
  {
    $this->runtimeUnknown = $runtimeUnknown;
  }
  public function getRuntimeUnknown()
  {
    return $this->runtimeUnknown;
  }
  public function setScorescaleLabel($scorescaleLabel)
  {
    $this->scorescaleLabel = $scorescaleLabel;
  }
  public function getScorescaleLabel()
  {
    return $this->scorescaleLabel;
  }
  public function setShowRelevantAudits($showRelevantAudits)
  {
    $this->showRelevantAudits = $showRelevantAudits;
  }
  public function getShowRelevantAudits()
  {
    return $this->showRelevantAudits;
  }
  public function setSnippetCollapseButtonLabel($snippetCollapseButtonLabel)
  {
    $this->snippetCollapseButtonLabel = $snippetCollapseButtonLabel;
  }
  public function getSnippetCollapseButtonLabel()
  {
    return $this->snippetCollapseButtonLabel;
  }
  public function setSnippetExpandButtonLabel($snippetExpandButtonLabel)
  {
    $this->snippetExpandButtonLabel = $snippetExpandButtonLabel;
  }
  public function getSnippetExpandButtonLabel()
  {
    return $this->snippetExpandButtonLabel;
  }
  public function setThirdPartyResourcesLabel($thirdPartyResourcesLabel)
  {
    $this->thirdPartyResourcesLabel = $thirdPartyResourcesLabel;
  }
  public function getThirdPartyResourcesLabel()
  {
    return $this->thirdPartyResourcesLabel;
  }
  public function setThrottlingProvided($throttlingProvided)
  {
    $this->throttlingProvided = $throttlingProvided;
  }
  public function getThrottlingProvided()
  {
    return $this->throttlingProvided;
  }
  public function setToplevelWarningsMessage($toplevelWarningsMessage)
  {
    $this->toplevelWarningsMessage = $toplevelWarningsMessage;
  }
  public function getToplevelWarningsMessage()
  {
    return $this->toplevelWarningsMessage;
  }
  public function setVarianceDisclaimer($varianceDisclaimer)
  {
    $this->varianceDisclaimer = $varianceDisclaimer;
  }
  public function getVarianceDisclaimer()
  {
    return $this->varianceDisclaimer;
  }
  public function setViewTreemapLabel($viewTreemapLabel)
  {
    $this->viewTreemapLabel = $viewTreemapLabel;
  }
  public function getViewTreemapLabel()
  {
    return $this->viewTreemapLabel;
  }
  public function setWarningAuditsGroupTitle($warningAuditsGroupTitle)
  {
    $this->warningAuditsGroupTitle = $warningAuditsGroupTitle;
  }
  public function getWarningAuditsGroupTitle()
  {
    return $this->warningAuditsGroupTitle;
  }
  public function setWarningHeader($warningHeader)
  {
    $this->warningHeader = $warningHeader;
  }
  public function getWarningHeader()
  {
    return $this->warningHeader;
  }
}
