<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

class Google_Service_Sheets_EmbeddedChart extends Google_Model
{
  protected $borderType = 'Google_Service_Sheets_EmbeddedObjectBorder';
  protected $borderDataType = '';
  public $chartId;
  protected $positionType = 'Google_Service_Sheets_EmbeddedObjectPosition';
  protected $positionDataType = '';
  protected $specType = 'Google_Service_Sheets_ChartSpec';
  protected $specDataType = '';

  /**
   * @param Google_Service_Sheets_EmbeddedObjectBorder
   */
  public function setBorder(Google_Service_Sheets_EmbeddedObjectBorder $border)
  {
    $this->border = $border;
  }
  /**
   * @return Google_Service_Sheets_EmbeddedObjectBorder
   */
  public function getBorder()
  {
    return $this->border;
  }
  public function setChartId($chartId)
  {
    $this->chartId = $chartId;
  }
  public function getChartId()
  {
    return $this->chartId;
  }
  /**
   * @param Google_Service_Sheets_EmbeddedObjectPosition
   */
  public function setPosition(Google_Service_Sheets_EmbeddedObjectPosition $position)
  {
    $this->position = $position;
  }
  /**
   * @return Google_Service_Sheets_EmbeddedObjectPosition
   */
  public function getPosition()
  {
    return $this->position;
  }
  /**
   * @param Google_Service_Sheets_ChartSpec
   */
  public function setSpec(Google_Service_Sheets_ChartSpec $spec)
  {
    $this->spec = $spec;
  }
  /**
   * @return Google_Service_Sheets_ChartSpec
   */
  public function getSpec()
  {
    return $this->spec;
  }
}
